Subject: Re: Problems with bash, cvs and variable expansion
From: Jason Tishler <[email-masked]>
To: [email-masked]
Date: Tue, 15 Aug 2000 12:23:05 -0400

Andy,

I can only offer two suggestions that may (or may not) be of use:

On Tue, Aug 15, 2000 at 10:18:24AM -0400, Andy Philpotts wrote:
> $ FLIST=com/irenaissance/cc/server/irRequestHandlerCCJava.java com/irenaissance/cc/server/irSession.java com/irenaissance/cc/server/irODBServer.java com/irenaissance/cc/server/irRequest.java com/irenaissance/cc/server/irHtmlRenderer.java

Shouldn't you be using quotes above?  For example:

FLIST='com/irenaissance/cc/server/irRequestHandlerCCJava.java com/irenaissance/cc/server/irSession.java com/irenaissance/cc/server/irODBServer.java com/irenaissance/cc/server/irRequest.java com/irenaissance/cc/server/irHtmlRenderer.java'

Otherwise, FLIST will only be set to the first item in your list.

> $ cvs update $FLIST
> : No such file or directoryt find
> 
> note the oddly spelt error message

I believe that the "oddly spelt error message" above is due to a carriage
return that is embedded in the error message.  I have seen cvs display
garbled messages before.  I believe that cvs is really trying to display
something like the following:

    cvs [update aborted]: No such file or directory 'com/irenaissance/cc/server/irRequestHandlerCCJava.java'

BTW, is there any reason why you can't use:

    cvs update

and just let cvs recurse?

Jason

-- 
Jason Tishler
Director, Software Engineering       Phone: +1 (732) 264-8770 x235
Dot Hill Systems Corporation         Fax:   +1 (732) 264-8798
82 Bethany Road, Suite 7             Email: [email-masked]
Hazlet, NJ 07730 USA                 WWW:   http://www.dothill.com

--
Want to unsubscribe from this list?
Send a message to [email-masked]